# Samples

## vBase Python Software Development Kit (SDK) Samples

## Contents:

* [vBase Python Samples Quickstart](/python-sdk/python-quickstart-readme/quickstart-1.md)
  * [1. Get your vBase API Key](/python-sdk/python-quickstart-readme/quickstart-1.md#get-your-vbase-api-key)
  * [2. Create the vBase Directory](/python-sdk/python-quickstart-readme/quickstart-1.md#create-the-vbase-directory)
  * [3. Install the vBase Python SDK](/python-sdk/python-quickstart-readme/quickstart-1.md#install-the-vbase-python-sdk)
  * [4. Clone the vBase Python SDK Samples](/python-sdk/python-quickstart-readme/quickstart-1.md#clone-the-vbase-python-sdk-samples)
  * [5. Set up Your Environment](/python-sdk/python-quickstart-readme/quickstart-1.md#set-up-your-environment)
  * [6. Verify Your Environment](/python-sdk/python-quickstart-readme/quickstart-1.md#verify-your-environment)
  * [7. You Are All Set!](/python-sdk/python-quickstart-readme/quickstart-1.md#you-are-all-set)
* [Create a Set](/python-sdk/index/create_set.md)
  * [Summary](/python-sdk/index/create_set.md#summary)
  * [Detailed Description](/python-sdk/index/create_set.md#detailed-description)
* [Add a String Record to a Dataset](/python-sdk/index/add_string_dataset_record.md)
  * [Summary](/python-sdk/index/add_string_dataset_record.md#summary)
  * [Detailed Description](/python-sdk/index/add_string_dataset_record.md#detailed-description)
* [Add a String Record to a Dataset Asynchronously](/python-sdk/index/add_string_dataset_record_async.md)
  * [Summary](/python-sdk/index/add_string_dataset_record_async.md#summary)
  * [Detailed Description](/python-sdk/index/add_string_dataset_record_async.md#detailed-description)
* [Restore Dataset Provenance](/python-sdk/index/restore_dataset_provenance.md)
  * [Summary](/python-sdk/index/restore_dataset_provenance.md#summary)
  * [Detailed Description](/python-sdk/index/restore_dataset_provenance.md#detailed-description)
* [Stamp Interactive Brokers Portfolio](/python-sdk/index/stamp_interactive_brokers_portfolio.md)
  * [1. Prerequisites](/python-sdk/index/stamp_interactive_brokers_portfolio.md#prerequisites)
  * [2. Download and Install Client Portal Gateway](/python-sdk/index/stamp_interactive_brokers_portfolio.md#download-and-install-client-portal-gateway)
  * [3. Set Environment Variables](/python-sdk/index/stamp_interactive_brokers_portfolio.md#set-environment-variables)
  * [4. Run the Sample](/python-sdk/index/stamp_interactive_brokers_portfolio.md#run-the-sample)
* [Stamp Alpaca Portfolio](/python-sdk/index/stamp_alpaca_portfolio.md)
  * [1. Prerequisites](/python-sdk/index/stamp_alpaca_portfolio.md#prerequisites)
  * [2. (Optional) Sign Up for an Alpaca Account](/python-sdk/index/stamp_alpaca_portfolio.md#optional-sign-up-for-an-alpaca-account)
  * [3. (Optional) Enable Paper Trading](/python-sdk/index/stamp_alpaca_portfolio.md#optional-enable-paper-trading)
  * [4. Obtain Your API Keys](/python-sdk/index/stamp_alpaca_portfolio.md#obtain-your-api-keys)
  * [5. Switch to the Sample Directory](/python-sdk/index/stamp_alpaca_portfolio.md#switch-to-the-sample-directory)
  * [6. Install the Alpaca Python Package](/python-sdk/index/stamp_alpaca_portfolio.md#install-the-alpaca-python-package)
  * [7. Set Environment Variables](/python-sdk/index/stamp_alpaca_portfolio.md#set-environment-variables)
  * [8. Run the Sample](/python-sdk/index/stamp_alpaca_portfolio.md#run-the-sample)
* [Windows vBase Setup Guide](/python-sdk/windows_guide.md)
  * [1. Install Python on Windows](/python-sdk/windows_guide.md#install-python-on-windows)
  * [2. Install Microsoft Visual C++ Build Tools](/python-sdk/windows_guide.md#install-microsoft-visual-c-build-tools)
  * [3. Create the Project Directory](/python-sdk/windows_guide.md#create-the-project-directory)
  * [4. Clone vBase Samples into the Project Directory](/python-sdk/windows_guide.md#clone-vbase-samples-into-the-project-directory)
  * [5. Create a Python Virtual Environment (venv)](/python-sdk/windows_guide.md#create-a-python-virtual-environment-venv)
  * [6. Install Required Build Tools for Python Packages](/python-sdk/windows_guide.md#install-required-build-tools-for-python-packages)
  * [7. Install vBase Dependencies](/python-sdk/windows_guide.md#install-vbase-dependencies)
  * [8. You Are All Set!](/python-sdk/windows_guide.md#you-are-all-set)
* [Windows Subsystem for Linux (WSL) vBase Setup Guide](/technical-reference/windows_subsystem_for_linux_guide.md)
  * [1. Install Windows Subsystem for Linux (WSL)](/technical-reference/windows_subsystem_for_linux_guide.md#install-windows-subsystem-for-linux-wsl)
  * [2. Install Jupyter Lab](/technical-reference/windows_subsystem_for_linux_guide.md#install-jupyter-lab)
  * [3. Install Git](/technical-reference/windows_subsystem_for_linux_guide.md#install-git)
  * [4. Clone the vbase-py-samples Git Repository](/technical-reference/windows_subsystem_for_linux_guide.md#clone-the-vbase-py-samples-git-repository)
  * [5. Run Jupyter Lab and Open a Notebook](/technical-reference/windows_subsystem_for_linux_guide.md#run-jupyter-lab-and-open-a-notebook)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vbase.com/python-sdk/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
